%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Exporter|HTTP::Date|URI)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(HTTP::Headers\\)$

Name:           perl-HTTP-Message
Version:        6.44
Release:        1
Summary:        HTTP style message
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Message
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Message-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(base) perl(Carp)
BuildRequires:  perl(Compress::Raw::Zlib) perl(Encode) >= 2.21 perl(Encode::Locale) >= 1
BuildRequires:  perl(Exporter) >= 5.57 perl(HTTP::Date) >= 6 perl(IO::Compress::Bzip2) >= 2.021
BuildRequires:  perl(IO::Compress::Deflate) perl(IO::Compress::Gzip) perl(IO::HTML)
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.021 perl(IO::Uncompress::Gunzip) perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate) perl(LWP::MediaTypes) >= 6 perl(MIME::Base64) >= 2.1
BuildRequires:  perl(MIME::QuotedPrint) perl(Storable) perl(URI) >= 1.10 perl(Config)
BuildRequires:  perl(File::Spec) perl(PerlIO::encoding) perl(Test::More) perl(Try::Tiny)
BuildRequires:  perl(Clone) perl(File::Temp) perl(overload) perl(Test::Needs)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Compress::Raw::Zlib) perl(Encode) >= 2.21 perl(Encode::Locale) >= 1
Requires:       perl(HTTP::Date) >= 6 perl(IO::Compress::Bzip2) >= 2.021 perl(IO::Compress::Deflate)
Requires:       perl(IO::Compress::Gzip) perl(IO::HTML) perl(IO::Uncompress::Bunzip2) >= 2.021
Requires:       perl(IO::Uncompress::Gunzip) perl(IO::Uncompress::Inflate) perl(IO::Uncompress::RawInflate)
Requires:       perl(LWP::MediaTypes) >= 6 perl(MIME::Base64) >= 2.1 perl(MIME::QuotedPrint)
Requires:       perl(Storable) perl(URI) >= 1.10 perl(Clone) => 0.45
Conflicts:      perl-libwww-perl < 6

%description
An HTTP::Message object contains some headers and a content body.
The following methods are available:
$mess = HTTP::Message->new
$mess = HTTP::Message->new( $headers )
$mess = HTTP::Message->new( $headers, $content )

%package help
Summary:        Documentation for perl-HTTP-Message

%description help
Documentation for perl-HTTP-Message.

%prep
%autosetup -n HTTP-Message-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%exclude /usr/lib64/perl5/perllocal.pod

%files help
%doc Changes CONTRIBUTING.md README.md
%{_mandir}/man3/*


%changelog
* Mon May 29 2023 chenchen <chen_aka_jan@163.com> - 6.44-1
- Upgrade to version 6.44

* Mon Oct 31 2022 hongjinghao <hongjinghao@huawei.com> - 6.36-2
- fix bogus date in %changelog

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 6.36-1
- Upgrade to version 6.36

* Fri Dec  3 2021 guozhaorui <guozhaorui@huawei.com> -6.35-1
- update version 6.35

* Fri Jan 29 2021 yuanxin <yuanxin24@huawei.com> - 6.27-1
- upgrade version to 6.27

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 6.25-1
- update version to 6.25

* Wed Oct 23 2019 Zaiwang Li <lizaiwang1@huawei.com> - 6.18-4
- Init Package.

